Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.db
Enum OdfDataSourceSettingType

    java.lang.Object
      java.lang.Enum<OdfDataSourceSettingType>
          org.odftoolkit.odfdom.dom.type.db.OdfDataSourceSettingType

All Implemented Interfaces:
  Serializable, Comparable<OdfDataSourceSettingType>

    public enum OdfDataSourceSettingType

extends Enum<OdfDataSourceSettingType>

DOM implementation of OpenDocument attribute db:data-source-setting-type.

Enum Constant Summary
`BOOLEAN`
`DOUBLE`
`INT`
`LONG`
`SHORT`
`STRING`

Method Summary
`static OdfDataSourceSettingType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDataSourceSettingType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDataSourceSettingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDataSourceSettingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOUBLE

    public static final OdfDataSourceSettingType DOUBLE

### LONG

    public static final OdfDataSourceSettingType LONG

### BOOLEAN

    public static final OdfDataSourceSettingType BOOLEAN

### STRING

    public static final OdfDataSourceSettingType STRING

### INT

    public static final OdfDataSourceSettingType INT

### SHORT

    public static final OdfDataSourceSettingType SHORT

Method Detail

### values

    public static OdfDataSourceSettingType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDataSourceSettingType c : OdfDataSourceSettingType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDataSourceSettingType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDataSourceSettingType>`
  Returns:
    return the name of OdfDataSourceSettingType

### toString

    public static String toString(OdfDataSourceSettingType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDataSourceSettingType, see db:data-source-setting-type
  Returns:
    return the name of OdfDataSourceSettingType

### enumValueOf

    public static OdfDataSourceSettingType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDataSourceSettingType
  Returns:
    return the constant of OdfDataSourceSettingType, see db:data-source-setting-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.